Subject: Re: bug#53590: 28.0.91; icompletion-vertical-mode gets stuck on 'M-x man RET awk'

From: Van Ly <[email-masked]>
Date: Sat, 29 Jan 2022 20:20:24 +0000 (UTC)

On Sat, 29 Jan 2022, Eli Zaretskii wrote:

>> Date: Sat, 29 Jan 2022 19:10:14 +0000 (UTC)
>> From: Van Ly <[email-masked]>
>> cc: [email-masked]
>>
>> '''
>> % man -k awk 2>/dev/null | cat
>> zsh: segmentation fault  man -k awk 2> /dev/null |
>> zsh: done                cat
>> % echo $SHELL
>> /usr/pkg/bin/zsh
>> '''
>>
>> Maybe the output redirect pipeline syntax for zsh is causing trouble.
>
> Maybe.  Time for Unix shell gurus to chime in.  (And shouldn't
> shell-file-name point to 'sh', not to your interactive shell?)  In any
> case, this segfault seems to be a large part of the problem.
>

Setting shell-file-name to '/bin/sh' does not fix the M-x man delay 
before the [No matches] text appears in the minibuffer.

I should add to close this bug if it cannot be reproduced by someone 
on NetBSD 9.2 stable in data center grade environment on good 
hardware.

My hardware is a laptop, my SSD is 20% filled of 500Gb capacity and 
is older than two years.  The laptop is a 2006 Thinkpad x60.  I 
sometimes know how to configure the fan to keep it from reaching 
critical temperature and force shutting down.  At the moment I have 
forgotten how to.

'''
*** FINAL System shutdown message from root@charlie ***
System going down IMMEDIATELY

/etc/powerd/scripts/sensor_temperature: CRITICAL TEMPERATURE! 
SHUTTING DOWN.
'''

-- 
vl